<?php

namespace Keywordrush\AffiliateEgg;

defined('\ABSPATH') || exit;

/**
 * ScrapFactory class file
 *
 * @author keywordrush.com <support@keywordrush.com>
 * @link https://www.keywordrush.com
 * @copyright Copyright &copy; 2025 keywordrush.com
 */
class ScrapFactory
{
    public static $services = array(

        ScrapingdogScrap::SLUG => ScrapingdogScrap::class,
        ScrapeowlScrap::SLUG => ScrapeowlScrap::class,
        ScraperapiScrap::SLUG => ScraperapiScrap::class,
        ProxycrawlScrap::SLUG => ProxycrawlScrap::class,
    );

    public static function init()
    {
        foreach (self::$services as $slug => $class)
        {
            $scrap = new $class();
            $scrap->initAction();
        }
    }
}
